/*-- -------------------------- -->
<---             HERO          -->
<--- -------------------------- -*/
h2 {
	line-height: 1.2em;
}
/* HERO */
#location-info {
    display: flex;
    width: 100%;
    background: transparent;
    border: none;
}
#location-info .content-left {
    width: 50%;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background: transparent;
    text-align: center;
}

#location-info .icon {
    width: 239px;
    height: 239px;
    margin: 0 auto 20px;
    background: transparent;
}

#location-info .title {
    font-size: 38px;
    font-weight: bold;
    margin-bottom: 15px;
    text-transform: uppercase;
    font-weight: 500;
	font-family: var(--secondaryFont);
}

#location-info .address {
    font-size: 14px;
    line-height: 1.5;
    font-weight: 600;
}

#location-info .image-right {
    width: 50%;
    background: transparent;
}

#location-info .image-right img {
    width: 100%;
    height: auto;
    display: block;
    border: none;
}

.location-details .text-description {
    width: 100%;
    padding: 20px;
    margin: 20px auto 0;
    font-size: 16px;
    line-height: 1.6;
    background: transparent;
    border: none;
    max-width: 767px;
    text-align: center;
}

.location-details .text-description svg {
    display: block;
    margin: 0 auto 0;
}
@media screen and (max-width: 1024px) {
	#location-info {
		flex-direction: column-reverse;
	}
	#location-info > div {
		width: 100% !important;
	}
	#location-info > div > * {
		margin: 0 auto !important;
	}
	#location-info .icon {
		width: 200px !important;
		height: auto !important;
	}
	.text-content {
		padding: 0px 0px 50px !important;
	}
	.featured-container {
		padding: 40px 0 0 !important;
	}
	.featured-container .section-header {
		margin: 0;
	}
	.featured-container .features {
		gap: 0 !important;
	}
	.specialized-section .two-column-content > div {
		max-width: 100%;
        padding: 0 0px 20px !important;
	}
	.specialized-container, .specialized-section {
		padding: 0px !important;
	}
	.specialized-section .section-subtitle, .map-text-section .text-content{
		padding: 0 20px !important;
	}
	.featured-container .feature {
		padding: 15px 20px !important;
	}
}
section#below-hero h2 {
    font-weight: 400;
    font-family: var(--secondaryFont);
    font-size: 28px;
    margin: 0;
    text-transform: uppercase;
}
/* ALTERNATING IMAGE */
.side-by-side {
    padding: 80px 0;
}

.side-by-side .container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

.side-by-side .section-inner {
    display: flex;
    align-items: center;
    gap: 40px;
}

.side-by-side .text-content {
    flex: 1;
}

.side-by-side .image-content {
    flex: 1;
}

.side-by-side .image-content img {
    width: 100%;
    height: auto;
    display: block;
    border: none;
    background: none;
}

.side-by-side .subtitle {
    font-size: 16px;
    color: #222;
    text-transform: uppercase;
    letter-spacing: 1px;
    margin-bottom: 15px;
}

.side-by-side .title {
    font-size: 28px;
    font-weight: 500;
    margin: 10px 0 30px;
    color: var(--headerColor);
	font-family: var(--secondaryFont);
	line-height: 1.2em;
}

.side-by-side .description {
    font-size: 16px;
    margin-bottom: 30px;
    color: #555;
    line-height: 1.7;
}
.btn {
    display: inline-block;
    padding: 10px 50px;
    background-color: #100944;
    color: white !important;
    text-decoration: none;
    border-radius: 25px;
    font-weight: 700;
    transition: all 0.3s ease;
    text-transform: uppercase;
    font-size: 13px;
}

.btn:hover {
    background-color: #4aace0;
    transform: translateY(-2px);
}

/* Alternating layout */
.side-by-side.image-right .section-inner {
    flex-direction: row;
}

.side-by-side.image-left .section-inner {
    flex-direction: row-reverse;
}

/* Responsive styles */
@media (max-width: 768px) {
    .side-by-side  {
        padding: 50px 0;
    }
    
    .side-by-side .section-inner {
        flex-direction: column;
        gap: 30px;
    }
    
    .side-by-side.image-left .section-inner,
    .side-by-side.image-right .section-inner {
        flex-direction: column;
    }
    
    .side-by-side .title {
        font-size: 28px;
    }
    
    .side-by-side .description {
        font-size: 16px;
    }
}

/* FEATURED */
.featured-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 40px 20px;
}

/* Header section styles */
.featured-container .section-header {
    text-align: center;
    margin-bottom: 0px;
}

.featured-container .section-icon {
    font-size: 48px;
    margin-bottom: 20px;
}

.featured-container .section-icon img {
    width: 133px;
}

.featured-container .section-title {
    font-size: 28px;
    font-weight: 500;
    margin-bottom: 15px;
    color: var(--headerColor);
	font-family: var(--secondaryFont);
}

.featured-container .section-subtitle {
    font-size: 20px;
    color: var(--headerColor);
	font-family: var(--secondaryFont);
    max-width: 600px;
    margin: 0 auto;
    text-transform: uppercase;
    font-weight: 500;
}

/* 3-column content styles */
.featured-container .features {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 30px;
}

.featured-container .feature {
    flex: 1;
    min-width: 300px;
    padding: 30px 20px;
    border-radius: 8px;
    transition: all 0.3s ease;
}

.featured-container .feature:hover {
    transform: translateY(-5px);
}

.featured-container .feature-img {
    object-fit: cover;
    margin-bottom: 25px;
}

.featured-container .feature-title {
    font-size: 20px;
    font-weight: 500;
    margin-bottom: 15px;
    color: var(--headerColor);
	font-family: var(--secondaryFont);
    text-transform: uppercase;
}

.featured-container .feature-desc {
    font-size: 16px;
    color: #222;
    line-height: 1.7;
}

/* Responsive adjustments */
@media (max-width: 768px) {
	#location-info .title {
		font-size: 30px;
		margin-bottom: 1em !important; 
	}
    .featured-container .features {
        flex-direction: column;
        align-items: center;
    }
    
    .featured-container .feature {
        max-width: 100%;
    }
    
    .featured-container .section-title {
        font-size: 28px;
    }
    
    .featured-container .section-subtitle {
        font-size: 16px;
    }
	.side-by-side .btn {
		max-width: 100%;
		width: 100%;
		text-align: center;
	}
	.specialized-container {
		padding: 0 20px !important;
	}
	.specialized-section .section-subtitle, .specialized-section .column {
		padding: 0px !important;
		max-width: 100% !important;
	}
}

/* SPECIALIZED FLEET */
.specialized-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}

.specialized-section {
    text-align: center;
    padding: 60px 0;
}

.specialized-section .section-title {
    font-size: 28px;
    font-weight: 500;
    margin-bottom: 15px;
    color: var(--headerColor);
	font-family: var(--secondaryFont);
    text-transform: uppercase;
}

.specialized-section .section-subtitle {
    font-size: 18px;
    color: #222;
    max-width: 700px;
    margin: 50px auto 70px;
}

/* Two Column Content */
.specialized-section .two-column-content {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 70px;
}

.specialized-section .column {
    flex: 1;
    min-width: 45%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 0px;
    border-radius: 10px;
    transition: all 0.3s ease;
    max-width: 50%;
}

.specialized-section .column:hover {
    transform: translateY(-5px);
}

.specialized-section .column-image {
    width: 100%;
    height: auto;
    margin-bottom: 25px;
}

.specialized-section .column-title {
    font-size: 16px;
    font-weight: 600;
    color: #2c3e50;
    margin-bottom: 15px;
    padding: 10px;
    border: 2px solid #beec0d;
    border-radius: 30px;
    display: inline-block;
    transition: all 0.3s ease;
    text-transform: uppercase;
    margin-top: -54px;
    background: #fff;
    width: 80%;
}

.specialized-section .column:hover .column-title {
    background-color: #beec0d;
}

.specialized-section .column-description {
    color: #222;
    font-size: 16px;
    line-height: 1.7;
}

/* Responsive Adjustments */
@media (max-width: 768px) {
    .specialized-section .two-column-content {
        flex-direction: column;
    }
    
    .specialized-section .section-title {
        font-size: 28px;
    }
    
    .specialized-section .section-subtitle {
        font-size: 16px;
    }
}

/* FLEXIBLE PLANS */

.flexible-plans {
    max-width: 800px;
    margin: 0 auto;
    padding: 40px 20px;
}

.flexible-plans h2 {
    text-align: center;
    color: var(--headerColor);
	font-family: var(--secondaryFont);
    margin-bottom: 30px;
    font-size: 28px;
    font-weight: 500;
    text-transform: uppercase;
}

.flexible-plans .accordion {
    margin-bottom: 30px;
}

.flexible-plans .accordion-item {
    border-bottom: 1px solid #4aace0;
    overflow: hidden;
}

.flexible-plans .accordion-header {
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
	padding: 25px 0;
	background: transparent;
	transition: background 0.3s;
	color: var(--secondary);
	font-family: var(--secondaryFont);
	font-size: 16px;
	line-height: 19px;
	font-weight: 400;
	text-transform: capitalize;
	position: relative;
}

.flexible-plans .accordion-content {
    padding: 0;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-out, padding 0.3s ease;
}

.flexible-plans .accordion-content-inner {
    padding: 0px 0 20px;
    font-size: 16px;
}

.flexible-plans .accordion-item.active .accordion-content {
    max-height: 500px;
}

.flexible-plans .accordion-toggle {
    font-size: 20px;
    transition: transform 0.3s;
    height: 24px;
}

.flexible-plans .accordion-item.active .accordion-toggle {
    transform: rotate(180deg);
}

.flexible-plans .flexible-plans-button {
    display: block;
    margin: 50px auto;
    padding: 10px 30px;
    background-color: #100944;
    color: white;
    border: none;
    border-radius: 30px;
    font-size: 13px;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.2s;
    text-decoration: none;
    max-width: 440px;
    text-align: center;
}

.flexible-plans .flexible-plans-button:hover {
    background-color: #0a0752;
    transform: translateY(-2px);
}

/* MAPS */

.contact-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 40px 0px;
}

/* Map and text section */
.map-text-section {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    align-items: center;
}

.map-container {
    flex: 1;
    min-width: 680px;
    max-width: 100%;
}

.map-container iframe {
    width: 100%;
    height: 400px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.text-content {
    flex: 1;
    min-width: 300px;
    padding: 50px;
}

.text-content h2 {
    font-size: 28px;
    margin-bottom: 20px;
    color: var(--headerColor);
	font-family: var(--secondaryFont);
    font-weight: 500;
    text-transform: uppercase;
}

.text-content p {
    margin-bottom: 15px;
    font-size: 16px;
}

/* Responsive adjustments */
@media (max-width: 768px) {
    .map-text-section {
        flex-direction: column;
    }
    
    .map-container, .text-content {
        width: 100%;
		min-width: auto;
    }
	h2 {
		font-size: 25px !important;
	}
	#location-info .title {
		font-size: 30px !important;
	}
}
/*-- -------------------------- -->
<---             HERO          -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
	#below-hero {
		padding: var(--sectionPadding);
	}
	#below-hero > div {
		max-width: 700px;
		padding: 0;
		text-align: center;
	}
	#below-hero p {
		font-size: 18px;
	}
	#below-hero p span {
		color: var(--secondary);
	}
	#cta-2236 {
		background-color: #f7f7f7;
		overflow: hidden;
		position: relative;
		z-index: 1;
		background-repeat: no-repeat;
		background-size: cover;
		background-position: center;
	}
	#cta-2236 .cs-container {
		width: 100%;
		margin: auto;
		display: flex;
		flex-direction: column;
		align-items: center;
		/* 48px - 64px */
		gap: clamp(3rem, 5vw, 4rem);
		position: relative;
		z-index: 1;
		max-width: 100%;
		padding: 0;
	}

	#cta-2236 .cs-content {
		/* aligns text centrally. set to left to left-align text */
		text-align: center;
		padding: var(--sectionPadding);
		/* 60px - 150px */
		padding-top: clamp(3.75rem, 8.82vw, 15.375rem);
		padding-bottom: clamp(3.75rem, 8.82vw, 15.375rem);
		pointer-events: none;
		display: flex;
		flex-direction: column;
		justify-content: center;
		/* centrally aligns items. set to flex-start to left-align items */
		align-items: center;
		z-index: 2;
		width: 100%;
		min-height: 601px;
	}
	#cta-2236 .cs-title {
		font-size: 35px;
		letter-spacing: 0.15em;
		color: var(--bodyTextColorWhite);
		font-family: var(--secondaryFont);
		max-width: 100%;
	}
	#cta-2236 .cs-text {
		margin: 0 0 2rem;
		color: var(--bodyTextColorWhite) !important;
		font-weight: 700;
		font-size: 14px;
		letter-spacing: 0.2em;
	}
	#cta-2236 .cs-button-outline {
		font-size: 1rem;
		font-weight: 700;
		/* 46px - 56px */
		line-height: clamp(2.875rem, 5.5vw, 3.5rem);
		text-align: center;
		text-decoration: none;
		min-width: 12.5rem;
		margin: 0;
		/* prevents padding from adding to the width */
		box-sizing: border-box;
		/* 32px - 48px */
		padding: 0 clamp(2rem, 4vw, 3rem);
		pointer-events: auto;
		color: var(--bodyTextColorWhite);
		border: 1px solid var(--bodyTextColorWhite);
		display: inline-block;
		position: relative;
		transition: color 0.3s;
	}
	#cta-2236 .cs-button-outline:before {
		content: "";
		width: 0%;
		height: 100%;
		background: var(--primary);
		opacity: 1;
		position: absolute;
		top: 0;
		left: 0;
		z-index: -1;
		transition: width 0.3s;
	}
	#cta-2236 .cs-button-outline:hover {
		color: var(--headerColor);
	}
	#cta-2236 .cs-button-outline:hover:before {
		width: 100%;
	}
	#cta-2236 .cs-video-wrapper {
		width: 100%;
		height: 100%;
		display: block;
		position: absolute;
	}
	#cta-2236 .cs-video-wrapper:hover {
		cursor: pointer;
	}
	#cta-2236 .cs-video-wrapper:hover .cs-play {
		transform: translate(-50%, -50%) scale(1.2);
	}
	#cta-2236 .cs-video-wrapper video,
	#cta-2236 .cs-video-wrapper .cs-picture {
		width: 100%;
		height: 100%;
		/* makes image act as a background image */
		object-fit: cover;
		position: absolute;
		top: 0;
		left: 0;
	}
	#cta-2236 .cs-video-wrapper video img,
	#cta-2236 .cs-video-wrapper .cs-picture img {
		width: 100%;
		height: 100%;
		/* makes image act as a background image */
		object-fit: cover;
		position: absolute;
		top: 0;
		left: 0;
	}
}
/*-- -------------------------- -->
<---        Side By Side        -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
	#RTsbs-1588,
	#RTsbsr-1588,
	#RTsbst-1588 {
		padding: var(--sectionPadding);
		padding-top: 0;
		position: relative;
		z-index: 1;
	}
	#RTsbs-1588 .cs-container,
	#RTsbsr-1588 .cs-container,
	#RTsbst-1588 .cs-container {
		width: 100%;
		/* changes to 1280px at tablet */
		max-width: 36.5rem;
		margin: auto;
		display: flex;
		flex-direction: column;
		align-items: center;
		/* 48px - 64px */
		gap: clamp(2.5rem, 6vw, 4rem);
	}
	#RTsbs-1588 .cs-picture,
	#RTsbsr-1588 .cs-picture,
	#RTsbst-1588 .cs-picture {
		width: 100%;
		display: block;
		position: relative;
	}
	#RTsbs-1588 .cs-picture img,
	#RTsbsr-1588 .cs-picture img,
	#RTsbst-1588 .cs-picture img {
		position: absolute;
		top: 0;
		left: 0;
		height: auto;
		width: auto;
		object-fit: contain;
	}
	#RTsbsr-1588 .image-right .cs-picture img {
		left: auto;
		right: 0;
	}  
	#RTsbs-1588 .cs-content,
	#RTsbsr-1588 .cs-content,
	#RTsbst-1588 .cs-content {
		/* set text align to left if content needs to be left aligned */
		text-align: left;
		width: 100%;
		max-width: 572px;
		display: flex;
		flex-direction: column;
		/* centers content horizontally, set to flex-start to left align */
		align-items: flex-start;
		justify-content: center;
	}
	#RTsbs-1588 .cs-title,
	#RTsbsr-1588 .cs-title,
	#RTsbst-1588 .cs-title {
		max-width: 100%;
		margin: 0;
		font-family: var(--secondaryFont);
		font-size: 28px;
		font-weight: 400;
		text-transform: uppercase;
	}
	#RTsbs-1588 .cs-topper,
	#RTsbsr-1588 .cs-topper,
	#RTsbst-1588 .cs-topper {
		font-weight: 400;
		margin-bottom: 1rem;
	}
	#RTsbs-1588 .cs-button-solid,
	#RTsbsr-1588 .cs-button-solid,
	#RTsbst-1588 .cs-button-solid {
		font-size: 13px;
		line-height: 3em;
		text-decoration: none;
		font-weight: 700;
		overflow: hidden;
		width: auto;
		margin: 0;
		color: #fff;
		padding: 0 3rem;
		background-color: var(--primary);
		display: inline-block;
		position: relative;
		z-index: 1;
		border-radius: 100px;
		text-transform: uppercase;
		transition: color 0.3s;
	}
	#RTsbs-1588 .cs-button-solid:before,
	#RTsbsr-1588 .cs-button-solid:before,
	#RTsbst-1588 .cs-button-solid:before {
		content: "";
		position: absolute;
		display: block;
		height: 100%;
		width: 0%;
		background: var(--secondary);
		opacity: 1;
		top: 0;
		left: 0;
		z-index: -1;
		transition: width 0.3s;
	}
	#RTsbs-1588 .cs-button-solid:hover,
	#RTsbsr-1588 .cs-button-solid:hover,
	#RTsbst-1588 .cs-button-solid:hover {
		color: #fff;
	}
	#RTsbs-1588 .cs-button-solid:hover:before,
	#RTsbsr-1588 .cs-button-solid:hover:before,
	#RTsbst-1588 .cs-button-solid:hover:before {
		width: 100%;
	}
}
/* Tablet - 768px */
@media only screen and (min-width: 48rem) {
	#RTsbs-1588 .cs-container,
	#RTsbsr-1588 .cs-container,
	#RTsbst-1588 .cs-container {
		max-width: 1200px;
		flex-direction: row;
		justify-content: space-between;
		align-items: center;
		padding: 0;
	}
	#RTsbs-1588 .cs-content,
	#RTsbsr-1588 .cs-content,
	#RTsbst-1588 .cs-content {
		width: 50%;
		max-width: 39.375rem;
		/* prevents flexbox from squishing it */
		flex: none;
	}
	#RTsbs-1588 .cs-card-group,
	#RTsbsr-1588 .cs-card-group,
	#RTsbst-1588 .cs-card-group {
		grid-template-columns: repeat(12, 1fr);
	}
	#RTsbs-1588 .cs-item,
	#RTsbsr-1588 .cs-item,
	#RTsbst-1588 .cs-item {
		grid-column: span 6;
	}
}
/* Small Desktop - 1024px */
@media only screen and (min-width: 64rem) {
	#RTsbs-1588 .cs-content,
	#RTsbsr-1588 .cs-content,
	#RTsbst-1588 .cs-content {
		align-self: center;
	}
}

/*-- -------------------------- -->
<---   Side By Side Reverse     -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
	
}
/* Tablet - 768px */
@media only screen and (min-width: 48rem) {
	#RTsbsr-1588 .cs-container.premium-fleet {
		min-height: 655px;
	}
	#RTsbsr-1588 .cs-picture {
		order: 2;
	}
	#RTsbsr-1588 .cs-picture img {
		position: relative;
		top: 0;
	}
	.cs-container.premium-fleet p {
		max-width: 344px;
	}
	.cs-container.premium-fleet .cs-content {
		max-width: none !important;
		width: 40% !important;
	}
	#RTsbsr-1588 .premium-fleet .cs-picture img {
		display: none !important;
	}
	#RTsbsr-1588 .premium-fleet .cs-picture a {
		margin-top: 4rem;
	}
}
@media only screen and (max-width: 47.9rem) {
	#RTsbsr-1588 .cs-container.premium-fleet {
		background: none !important;
	}
}
#RTsbsr-1588 .premium-fleet .cs-picture img {
	display: block;
	position: relative;
}
#RTsbsr-1588 .cs-container.premium-fleet {
	align-items: flex-start;
	background-position: center;
	background-size: contain;
	background-repeat: no-repeat;
}
.cs-container.premium-fleet svg {
  width: 67px;
  height: 38px;
  object-fit: contain;
  margin: 36px 0;
}
#RTsbsr-1588 .premium-fleet .cs-picture a {
    border: 2px solid var(--secondary);
    background: transparent;
    color: #3599B7;
    max-width: 489px;
    width: 100%;
    text-align: center;
	margin-bottom: 40px;
}
#RTsbsr-1588 .premium-fleet .cs-picture a:hover {
	color: #fff;
}
/* ALTERNATING IMAGE */
.side-by-side .cs-container {
    display: flex;
    align-items: center;
    gap: 40px;
}
.side-by-side .cs-content {
    flex: 1;
}

.side-by-side .cs-picture {
    flex: 1;
}


/* Alternating layout */
.side-by-side.image-right .cs-container {
    flex-direction: row;
}

.side-by-side.image-left .cs-container {
    flex-direction: row-reverse !important;
}
#RTsbsr-1588 > div:last-child > div {
  padding: 0 !important;
}

section#RTsbsr-1588.bottom-cta {
    padding: var(--sectionPadding);
    background-color: #898989;
}
section#RTsbsr-1588.bottom-cta .cs-container {
	align-items: center;
}
section#RTsbsr-1588.bottom-cta h2 {
    color: #fff;
    font-family: var(--secondaryFont);
    font-weight: 400;
    font-size: 28px;
    line-height: 34px;
    max-width: 410px;
	margin-top: 0;
}
section#RTsbsr-1588.bottom-cta p {
    font-size: 18px;
    font-weight: 700;
    color: #fff !important;
	margin-bottom: 0;
}
section#RTsbsr-1588.bottom-cta a {
	background-color: transparent;
	border: 2px solid #fff;
	text-align: center;
	max-width: 380px;
	width: 100%;
}
section#RTsbsr-1588.bottom-cta a:hover {
	border-color: var(--secondary);
}

section#below-hero.full-section {
	background: #100944;
}
section#below-hero.full-section h2, section#below-hero.full-section p {
	color: #fff !important;
	margin-bottom: 0px;
}
section#RTsbsr-1588.bottom-cta .cs-picture {
	text-align: right;
}